Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl
Class WsdlSubmitContext

    java.lang.Object
      com.eviware.soapui.model.support.AbstractSubmitContext
          com.eviware.soapui.impl.wsdl.WsdlSubmitContext

All Implemented Interfaces:
  SubmitContext, java.util.Map<java.lang.String,java.lang.Object>

    public class WsdlSubmitContext

extends AbstractSubmitContext

Default implementation

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface com.eviware.soapui.model.iface.SubmitContext
`HTTP_STATE_PROPERTY, PROPERTY_SEPARATOR`

Constructor Summary
`WsdlSubmitContext()`
`WsdlSubmitContext(TestStep step)`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`

Methods inherited from class com.eviware.soapui.model.support.AbstractSubmitContext
`clear, clone, containsKey, containsValue, entrySet, equals, getProperties, getProperty, hashCode, hasProperty, isEmpty, keySet, putAll, remove, removeProperty, resetProperties, setProperty, setProperty, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WsdlSubmitContext

    public WsdlSubmitContext()

### WsdlSubmitContext

    public WsdlSubmitContext(TestStep step)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `get` in class `AbstractSubmitContext`

### put

    public java.lang.Object put(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `put` in class `AbstractSubmitContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.